# Class MediatedPayoutTxSignatureMessage

#### Hierarchy

- unknown
  - MediatedPayoutTxSignatureMessage

- Defined in src/protobuf/pb_pb.d.ts:1547
- Defined in src/protobuf/pb_pb.d.ts:1572

#####
Index

### Constructors

constructor

### Methods

clearSenderNodeAddress
getSenderNodeAddress
getTradeId
getTxSignature
getTxSignature_asB64
getTxSignature_asU8
getUid
hasSenderNodeAddress
serializeBinary
setSenderNodeAddress
setTradeId
setTxSignature
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MediatedPayoutTxSignatureMessage(): MediatedPayoutTxSignatureMessage

- #### Returns MediatedPayoutTxSignatureMessage

  Inherited from jspb.Message.constructor

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): MediatedPayoutTxSignatureMessage

- #### Returns MediatedPayoutTxSignatureMessage

  - Defined in src/protobuf/pb_pb.d.ts:1562

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1559

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1551

### getTxSignature

- getTxSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1554

### getTxSignature_asB64

- getTxSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1556

### getTxSignature_asU8

- getTxSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1555

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1548

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1561

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1564

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): MediatedPayoutTxSignatureMessage

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns MediatedPayoutTxSignatureMessage

  - Defined in src/protobuf/pb_pb.d.ts:1560

### setTradeId

- setTradeId(value: string): MediatedPayoutTxSignatureMessage

- #### Parameters

  - ##### value: string

  #### Returns MediatedPayoutTxSignatureMessage

  - Defined in src/protobuf/pb_pb.d.ts:1552

### setTxSignature

- setTxSignature(value: string | Uint8Array): MediatedPayoutTxSignatureMessage

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns MediatedPayoutTxSignatureMessage

  - Defined in src/protobuf/pb_pb.d.ts:1557

### setUid

- setUid(value: string): MediatedPayoutTxSignatureMessage

- #### Parameters

  - ##### value: string

  #### Returns MediatedPayoutTxSignatureMessage

  - Defined in src/protobuf/pb_pb.d.ts:1549

### toObject

- toObject(includeInstance?: boolean): MediatedPayoutTxSignatureMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MediatedPayoutTxSignatureMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1565

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MediatedPayoutTxSignatureMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MediatedPayoutTxSignatureMessage

  - Defined in src/protobuf/pb_pb.d.ts:1568

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MediatedPayoutTxSignatureMessage, reader: BinaryReader): MediatedPayoutTxSignatureMessage

- #### Parameters

  - ##### message: MediatedPayoutTxSignatureMessage

  - ##### reader: BinaryReader

  #### Returns MediatedPayoutTxSignatureMessage

  - Defined in src/protobuf/pb_pb.d.ts:1569

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MediatedPayoutTxSignatureMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MediatedPayoutTxSignatureMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1567

### `Static` toObject

- toObject(includeInstance: boolean, msg: MediatedPayoutTxSignatureMessage): MediatedPayoutTxSignatureMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MediatedPayoutTxSignatureMessage

  #### Returns MediatedPayoutTxSignatureMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1566

Generated using TypeDoc